If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Add CORS header to gallery images from SUMO

RESOLVED FIXED

Status

Infrastructure & Operations
WebOps: Community Platform
RESOLVED FIXED
3 years ago
3 years ago

People

(Reporter: mythmon, Assigned: jakem)

Tracking

Details

(Whiteboard: [kanban:https://kanbanize.com/ctrl_board/4/520] )

(Reporter)

Description

3 years ago
Please add the HTTP header "Access-Control-Allow-Origin: *" to all images in https://support.mozilla.org/media/uploads/gallery/images/

In particular, I believe this will make the CDN also have the header.

This is for access to the images from a Firefox OS app (Yaocho) for offline caching.

Updated

3 years ago
Whiteboard: [kanban:https://kanbanize.com/ctrl_board/4/520]

Updated

3 years ago
Assignee: server-ops-webops → cturra
OS: Linux → All
Hardware: x86_64 → All
looks like you got a 2-for-1. :jakem and i were both working on this, which is now complete.

$ curl -I https://support.mozilla.org/media/uploads/gallery/images/wizard5.png
HTTP/1.1 200 OK
Server: Apache
X-Backend-Server: support2.webapp.phx1.mozilla.com
Cache-Control: max-age=2592000
Content-Type: image/png
Date: Thu, 10 Jul 2014 23:05:05 GMT
Expires: Sat, 09 Aug 2014 23:05:05 GMT
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
ETag: "496358b479540"
Last-Modified: Mon, 29 Nov 2010 18:50:21 GMT
X-Cache-Info: caching
Content-Length: 5219
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
(Assignee)

Comment 2

3 years ago
Also flushed akamai cache just for good measure. :)
Assignee: cturra → nmaul
You need to log in before you can comment on or make changes to this bug.